package de.telekom.silly_game;

import org.springframework.web.bind.annotation.*;

import java.util.Collections;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

@RestController
@CrossOrigin(origins = "http://localhost:4200")
@RequestMapping("/game")
public class GameController {

    @GetMapping("/start")
    public String startGame() {
        return "Game started!";
    }

    private AtomicInteger jumpCount = new AtomicInteger(0);

    @GetMapping("/jump")
    public Map<String, Integer> registerJump() {
        int total = jumpCount.incrementAndGet();
        total = total/2;
        System.out.println(total);
        return Collections.singletonMap("totalJumps", total);
    }

    @GetMapping("/getJumpStrength/low")
    public Map<String, Integer> getLowJumpStrength() {
        return Collections.singletonMap("JumpStrength", JumpStrength.LOW);
    }

    @GetMapping("/getJumpStrength/midium")
    public Map<String, Integer> getMediumJumpStrength() {
        return Collections.singletonMap("JumpStrength", JumpStrength.MEDIUM);
    }

    @GetMapping("/getJumpStrength/high")
    public Map<String, Integer> getHightJumpStrength() {
        return Collections.singletonMap("JumpStrength", JumpStrength.HIGH);
    }

    @GetMapping("/getColor/{name}")
    public Map<String, String> getHightJumpStrength(@PathVariable String name) {
        Sky sky = new Sky();
        return Collections.singletonMap("JumpStrength", sky.getSkyColor(name));
    }
}